### Index

- clone (src/.../utils.ts)
- cycleTabs (src/.../tab.service.ts)
- EXPERIMENTAL_SERVICE_PROVIDER_FACTORY (src/.../experimental.module.ts)
- findNextElem (src/.../a11y.ts)
- findPrevElem (src/.../a11y.ts)
- findSiblingElem (src/.../a11y.ts)
- focusFirstFocusableElement (src/.../tab.service.ts)
- focusLastFocusableElement (src/.../tab.service.ts)
- focusNextElem (src/.../a11y.ts)
- focusNextTree (src/.../a11y.ts)
- focusPrevElem (src/.../a11y.ts)
- getFocusElementList (src/.../tab.service.ts)
- getScrollbarWidth (src/.../window-tools.ts)
- HcModeChecker (src/.../a11y.ts)
- I18N_SERVICE_PROVIDER_FACTORY (src/.../i18n.module.ts)
- isElementFocused (src/.../tab.service.ts)
- isFocusInFirstItem (src/.../tab.service.ts)
- isFocusInLastItem (src/.../tab.service.ts)
- isVisible (src/.../tab.service.ts)
- Modal (src/.../modal.decorator.ts)
- PLACEHOLDER_SERVICE_PROVIDER_FACTORY (src/.../placeholder.module.ts)
- range (src/.../utils.ts)
- watchFocusJump (src/.../dropdowntools.ts)

### src/utils/utils.ts

###

clone
`clone(obj)`

Parameters :

Name | Optional
obj | No

### src/common/tab.service.ts

###

cycleTabs
`cycleTabs(event, element)`

Parameters :

Name | Optional
event | No
element | No

focusFirstFocusableElement
`focusFirstFocusableElement(list)`

Parameters :

Name | Optional
list | No

focusLastFocusableElement
`focusLastFocusableElement(list)`

Parameters :

Name | Optional
list | No

getFocusElementList
`getFocusElementList(element, selector)`

Parameters :

Name | Optional
element | No
selector | No

isElementFocused
`isElementFocused(event, element)`

Parameters :

Name | Optional
event | No
element | No

isFocusInFirstItem
`isFocusInFirstItem(event, list)`

Parameters :

Name | Optional
event | No
list | No

isFocusInLastItem
`isFocusInLastItem(event, list)`

Parameters :

Name | Optional
event | No
list | No

isVisible
`isVisible(element)`

Parameters :

Name | Optional
element | No

### src/experimental.module.ts

###

EXPERIMENTAL_SERVICE_PROVIDER_FACTORY
`EXPERIMENTAL_SERVICE_PROVIDER_FACTORY(parentService)`

Parameters :

Name | Optional
parentService | No

### src/utils/a11y.ts

###

findNextElem
`findNextElem(target)`

Parameters :

Name | Optional
target | No

findPrevElem
`findPrevElem(target)`

Parameters :

Name | Optional
target | No

findSiblingElem
`findSiblingElem(target, direction)`

Parameters :

Name | Optional
target | No
direction | No

focusNextElem
`focusNextElem(elem, rootElem: null)`

Parameters :

Name | Type | Optional
elem |  | No
rootElem | `null` | No

focusNextTree
`focusNextTree(elem, rootElem: null)`

Parameters :

Name | Type | Optional
elem |  | No
rootElem | `null` | No

focusPrevElem
`focusPrevElem(elem, parentRef: null)`

Parameters :

Name | Type | Optional
elem |  | No
parentRef | `null` | No

HcModeChecker
`HcModeChecker()`

### src/utils/window-tools.ts

###

getScrollbarWidth
`getScrollbarWidth()`

### src/i18n/i18n.module.ts

###

I18N_SERVICE_PROVIDER_FACTORY
`I18N_SERVICE_PROVIDER_FACTORY(parentService)`

Parameters :

Name | Optional
parentService | No

### src/modal/modal.decorator.ts

###

Modal
`Modal()`
Applying the decorator metadata to the target class (`Modal`).

### src/placeholder/placeholder.module.ts

###

PLACEHOLDER_SERVICE_PROVIDER_FACTORY
`PLACEHOLDER_SERVICE_PROVIDER_FACTORY(parentService)`

Parameters :

Name | Optional
parentService | No

### src/common/utils.ts

###

range
`range(stop, start: number, step: number)`

Does what python's `range` function does, with a slightly different signature because of Typescript limitations.

Useful for numbered loops in angular templates, since we can do a normal for loop.

Parameters :

Name | Type | Optional | Description
stop |  | No | `Generate numbers up to, but not including this number`
start | `number` | No | `Starting number of the sequence`
step | `number` | No | `Difference between each number in the sequence`

### src/dropdown/dropdowntools.ts

###

watchFocusJump
`watchFocusJump(target, elements)`

returns an observable bound to keydown events that filters to a single element where the first letter of it's textContent matches the key pressed

Parameters :

Name | Optional | Description
target | No | `element to watch`
elements | No | `elements to search`

# result-matching ""

# No results matching ""